Last Comment Bug 375546 - nsXFormsModelElement::ValidateNode() wrongly assumes simple type
: nsXFormsModelElement::ValidateNode() wrongly assumes simple type
Status: RESOLVED FIXED
: fixed1.8.0.12, fixed1.8.1.4
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Steve Speicher
: Stephen Pride
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-27 08:51 PDT by Steve Speicher
Modified: 2016-07-15 14:46 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
test case (2.45 KB, application/xhtml+xml)
2007-03-27 08:52 PDT, Steve Speicher
no flags Details
patch (4.90 KB, patch)
2007-03-27 08:54 PDT, Steve Speicher
doronr: review+
aaronr: review+
Details | Diff | Splinter Review

Description Steve Speicher 2007-03-27 08:51:42 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a3pre) Gecko/20070305 Minefield/3.0a3pre
Build Identifier: 

This ValidateNode() is invoked when submission is called and MDG computes node states, ie valid.  If node has complex content, then it never validates as simple type handling treats as unknown schema type.

This is fairly major, as it blocks submission even when content is valid.

Reproducible: Always
Comment 1 Steve Speicher 2007-03-27 08:52:46 PDT
Created attachment 259797 [details]
test case
Comment 2 Steve Speicher 2007-03-27 08:54:23 PDT
Created attachment 259798 [details] [diff] [review]
patch

I also fixed a couple misuses of namespace constants in validator.  It was using XSD namespace and not XSI, so it was wrongly looking for xsd:type.
Comment 3 aaronr 2007-03-27 14:55:39 PDT
checked into trunk for sspeiche
Comment 4 aaronr 2007-04-23 16:28:23 PDT
checked into 1.8 branch on 2007-04-12
checked into 1.8.0 branch on 2007-04-16

Note You need to log in before you can comment on or make changes to this bug.